Taverna-Provenance-Extractor and Archimate-Converter v1.0

This program encapsulates four different features.

Feature A: Converts a Taverna 2.4 worfklow to an Archimate model.
Feature B: Accesses provenance data captured during a Taverna 2.4 workflow run, 
	applies DROID on that capturing (to identify used file formats in the workflow) and generates 
	a CSV report (including e.g., file formats). Extends an existing Domain Specific Ontology (DSO) 
	with file format information identified by DROID.

===== RUNTIME DEPENDENCIES =====

- JRE 1.6+
- Apache Ant 1.9+ for building
- DOT (comes with Graphviz)

===== HOW-TO BUILD AND EXECUTE =====

(1) Checkout the current project from https://olymp.ifs.tuwien.ac.at/svn/dp/timbus_development/TavernaExtractor.
(2) Change in the checked-out directory.
(3) Use 'ant jar' to build the a runnable jar. 
(4) !! Change to the 'dist' directory !!
(5) Adapt the TavernaExtractor.properties file.
(6) Run the executable with 'java -jar TavernaExtractor.jar <args>'.

===== HOW-TO USE =====

	A	=>	-i,--inputFile <arg>      ...specifies the taverna t2flow (input) file. \path\to\taverna\input.t2flow
			-o,--outputFile <arg>     ...specifies the archimate (output) file. \path\to\archimate\output.archimate
			-d,--dependencyDir <arg>  ...workflow dependencies directory. [OPTIONAL]
		   
		   
	B1	=>	-d,--droid <arg>       ...\path\where\to\save\droidOutputFile	
	   		
	B2	=>	-cr,--report <arg> 	    ...\path\where\droidOutputFile\is\located      								
		    
	B3	=>	-ont,--ontology-file <arg>  ...ontology to extend. \path\to\ontology
			-r,--reportFile <arg>	    ...generated DROID CSV report.

			-v, verbose		...enable verbose mode
		   
===== SAMPLE USAGE =====

[A] Convert a Taverna Workflow to an Archimate Model:

	java -jar TavernaExtractor.jar -i \path\to\TavernvaWorkflowInputFile.t2flow -o \path\to\ArchimateOutputFile.archimate 
	
[B] Extract including file formats from Workflow and identify them with DROID. In the following the 3 necessray steps are presented:
    ATTENTION: Due to its DROID dependencies, make sure you are executing the TavernaExtractor.jar in the respective directory!!

[B1] Running DROID identififaction on collected Taverna Workflow Run data:
     INPUT: path to file which gets created.
     OUTPUT: file containing DROID identification information in a none readable form.

	java -jar TavernaExtractor.jar -d path\to\myDroidFile.droid
	
	Sample Output:
	===== [ID] | [Workflow Name (Timestamp)] ===== | 2 entries found.

	[1] MusicClassificationExperiment (2013-09-25 13:11:42.488)
	[2] MusicClassificationExperiment (2013-09-23 10:44:43.839)
	Your choice:  //Enter an ID to process
	
[B2] Generate a CSV report out of a DROID profile: (CSV report is stored in the same directory as the *.droid input file)
     INPUT: file from step [B1].
     OUTPUT: file in CSV format containing DROID information in a readable form.
     
	java -jar TavernaExtractor.jar -cr path\to\myDroidFile.droid
	
[B3] Extend existing ontology with information about the used file formats in the workflow run:
     INPUT1: existing OWL file, which should be extended.
     INPUT2: file from step [B2].
     OUTPUT: updates OWL file from INPUT1.
     
	java -jar TavernaExtractor.jar -ont \path\to\myOntology.owl -r \path\to\myDroidCSVreportFile.droid.csv

