
--
--       TRANSFORMATION NO 1      TARGET TABLE: GENE__TRANSCRIPT__MAIN
--
CREATE TABLE ENSCORE.MTEMP0  AS SELECT TRANSCRIPT.GENE_ID,TRANSCRIPT.TRANSCRIPT_ID,TRANSCRIPT_STABLE_ID.STABLE_ID AS transcript_stable_id,TRANSCRIPT_STABLE_ID.VERSION AS transcript_version FROM TRANSCRIPT , TRANSCRIPT_STABLE_ID WHERE TRANSCRIPT_STABLE_ID.TRANSCRIPT_ID = TRANSCRIPT.TRANSCRIPT_ID;
CREATE INDEX index12 ON ENSCORE.MTEMP0 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.MTEMP1  AS SELECT MTEMP0.GENE_ID,MTEMP0.TRANSCRIPT_ID,MTEMP0.transcript_stable_id,MTEMP0.transcript_version,TRANSLATION.TRANSLATION_ID FROM ENSCORE.MTEMP0 LEFT JOIN TRANSLATION ON TRANSLATION.TRANSCRIPT_ID = ENSCORE.MTEMP0.TRANSCRIPT_ID;
CREATE INDEX index13 ON ENSCORE.MTEMP1 (TRANSLATION_ID);
CREATE TABLE ENSCORE.MTEMP2  AS SELECT MTEMP1.GENE_ID,MTEMP1.TRANSCRIPT_ID,MTEMP1.transcript_stable_id,MTEMP1.transcript_version,MTEMP1.TRANSLATION_ID,TRANSLATION_STABLE_ID.STABLE_ID AS translation_stable_id,TRANSLATION_STABLE_ID.VERSION AS translation_version FROM ENSCORE.MTEMP1 LEFT JOIN TRANSLATION_STABLE_ID ON TRANSLATION_STABLE_ID.TRANSLATION_ID = ENSCORE.MTEMP1.TRANSLATION_ID;
CREATE INDEX index14 ON ENSCORE.MTEMP2 (GENE_ID);
CREATE TABLE ENSCORE.MTEMP3  AS SELECT MTEMP2.GENE_ID,MTEMP2.TRANSCRIPT_ID,MTEMP2.transcript_stable_id,MTEMP2.transcript_version,MTEMP2.TRANSLATION_ID,MTEMP2.translation_stable_id,MTEMP2.translation_version,GENE.SEQ_REGION_ID,GENE.SEQ_REGION_ID AS chromosome_id,GENE.SEQ_REGION_START AS gene_chrom_start,GENE.SEQ_REGION_END AS gene_chrom_end,GENE.SEQ_REGION_STRAND AS chrom_strand,GENE.DISPLAY_XREF_ID FROM ENSCORE.MTEMP2 , GENE WHERE GENE.GENE_ID = ENSCORE.MTEMP2.GENE_ID;
CREATE INDEX index15 ON ENSCORE.MTEMP3 (GENE_ID);
CREATE TABLE ENSCORE.MTEMP4  AS SELECT MTEMP3.GENE_ID,MTEMP3.TRANSCRIPT_ID,MTEMP3.transcript_stable_id,MTEMP3.transcript_version,MTEMP3.TRANSLATION_ID,MTEMP3.translation_stable_id,MTEMP3.translation_version,MTEMP3.SEQ_REGION_ID,MTEMP3.chromosome_id,MTEMP3.gene_chrom_start,MTEMP3.gene_chrom_end,MTEMP3.chrom_strand,MTEMP3.DISPLAY_XREF_ID,GENE_STABLE_ID.STABLE_ID AS gene_stable_id,GENE_STABLE_ID.VERSION AS gene_version FROM ENSCORE.MTEMP3 , GENE_STABLE_ID WHERE GENE_STABLE_ID.GENE_ID = ENSCORE.MTEMP3.GENE_ID;
CREATE INDEX index16 ON ENSCORE.MTEMP4 (SEQ_REGION_ID);
CREATE TABLE ENSCORE.MTEMP5  AS SELECT MTEMP4.GENE_ID,MTEMP4.TRANSCRIPT_ID,MTEMP4.transcript_stable_id,MTEMP4.transcript_version,MTEMP4.TRANSLATION_ID,MTEMP4.translation_stable_id,MTEMP4.translation_version,MTEMP4.SEQ_REGION_ID,MTEMP4.chromosome_id,MTEMP4.gene_chrom_start,MTEMP4.gene_chrom_end,MTEMP4.chrom_strand,MTEMP4.DISPLAY_XREF_ID,MTEMP4.gene_stable_id,MTEMP4.gene_version,SEQ_REGION.COORD_SYSTEM_ID,SEQ_REGION.NAME AS chr_name FROM ENSCORE.MTEMP4 , SEQ_REGION WHERE SEQ_REGION.SEQ_REGION_ID = ENSCORE.MTEMP4.SEQ_REGION_ID;
CREATE INDEX index17 ON ENSCORE.MTEMP5 (COORD_SYSTEM_ID);
CREATE TABLE ENSCORE.MTEMP6  AS SELECT MTEMP5.GENE_ID,MTEMP5.TRANSCRIPT_ID,MTEMP5.transcript_stable_id,MTEMP5.transcript_version,MTEMP5.TRANSLATION_ID,MTEMP5.translation_stable_id,MTEMP5.translation_version,MTEMP5.SEQ_REGION_ID,MTEMP5.chromosome_id,MTEMP5.gene_chrom_start,MTEMP5.gene_chrom_end,MTEMP5.chrom_strand,MTEMP5.DISPLAY_XREF_ID,MTEMP5.gene_stable_id,MTEMP5.gene_version,MTEMP5.COORD_SYSTEM_ID,MTEMP5.chr_name FROM ENSCORE.MTEMP5 , COORD_SYSTEM WHERE COORD_SYSTEM.COORD_SYSTEM_ID = ENSCORE.MTEMP5.COORD_SYSTEM_ID AND COORD_SYSTEM.ATTRIB like '%default_version%';
CREATE INDEX index18 ON ENSCORE.MTEMP6 (DISPLAY_XREF_ID);
CREATE TABLE ENSCORE.MTEMP7  AS SELECT MTEMP6.GENE_ID,MTEMP6.TRANSCRIPT_ID,MTEMP6.transcript_stable_id,MTEMP6.transcript_version,MTEMP6.TRANSLATION_ID,MTEMP6.translation_stable_id,MTEMP6.translation_version,MTEMP6.SEQ_REGION_ID,MTEMP6.chromosome_id,MTEMP6.gene_chrom_start,MTEMP6.gene_chrom_end,MTEMP6.chrom_strand,MTEMP6.DISPLAY_XREF_ID,MTEMP6.gene_stable_id,MTEMP6.gene_version,MTEMP6.COORD_SYSTEM_ID,MTEMP6.chr_name,XREF.EXTERNAL_DB_ID,XREF.DISPLAY_LABEL AS display_id FROM ENSCORE.MTEMP6 LEFT JOIN XREF ON XREF.XREF_ID = ENSCORE.MTEMP6.DISPLAY_XREF_ID;
CREATE INDEX index19 ON ENSCORE.MTEMP7 (EXTERNAL_DB_ID);
CREATE TABLE ENSCORE.main_interim  AS SELECT MTEMP7.GENE_ID,MTEMP7.TRANSCRIPT_ID,MTEMP7.transcript_stable_id,MTEMP7.transcript_version,MTEMP7.TRANSLATION_ID,MTEMP7.translation_stable_id,MTEMP7.translation_version,MTEMP7.SEQ_REGION_ID,MTEMP7.chromosome_id,MTEMP7.gene_chrom_start,MTEMP7.gene_chrom_end,MTEMP7.chrom_strand,MTEMP7.DISPLAY_XREF_ID,MTEMP7.gene_stable_id,MTEMP7.gene_version,MTEMP7.COORD_SYSTEM_ID,MTEMP7.chr_name,MTEMP7.EXTERNAL_DB_ID,MTEMP7.display_id,EXTERNAL_DB.DB_NAME FROM ENSCORE.MTEMP7 LEFT JOIN EXTERNAL_DB ON EXTERNAL_DB.EXTERNAL_DB_ID = ENSCORE.MTEMP7.EXTERNAL_DB_ID;
DROP TABLE ENSCORE.MTEMP0;
DROP TABLE ENSCORE.MTEMP1;
DROP TABLE ENSCORE.MTEMP2;
DROP TABLE ENSCORE.MTEMP3;
DROP TABLE ENSCORE.MTEMP4;
DROP TABLE ENSCORE.MTEMP5;
DROP TABLE ENSCORE.MTEMP6;
DROP TABLE ENSCORE.MTEMP7;


--
--       TRANSFORMATION NO 2      TARGET TABLE: GENE__SEG__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='Seg';
CREATE INDEX index22 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index23 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__seg__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 3      TARGET TABLE: GENE__NCOILS__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='ncoils';
CREATE INDEX index32 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index33 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__ncoils__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 4      TARGET TABLE: GENE__PFAM__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='pfam';
CREATE INDEX index42 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index43 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__pfam__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 5      TARGET TABLE: GENE__PFSCAN__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='pfscan';
CREATE INDEX index52 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index53 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__pfscan__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 6      TARGET TABLE: GENE__PRINTS__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='prints';
CREATE INDEX index62 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index63 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__prints__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 7      TARGET TABLE: GENE__SCANPROSITE__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='scanprosite';
CREATE INDEX index72 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index73 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__scanprosite__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 8      TARGET TABLE: GENE__SIGNALP__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='signalp';
CREATE INDEX index82 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index83 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__signalp__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 9      TARGET TABLE: GENE__TMHMM__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT PROTEIN_FEATURE.TRANSLATION_ID,PROTEIN_FEATURE.HIT_ID,PROTEIN_FEATURE.ANALYSIS_ID FROM PROTEIN_FEATURE , ANALYSIS WHERE ANALYSIS.ANALYSIS_ID = PROTEIN_FEATURE.ANALYSIS_ID AND ANALYSIS.LOGIC_NAME='tmhmm';
CREATE INDEX index92 ON ENSCORE.DTEMP0 (TRANSLATION_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSLATION_ID,DTEMP0.HIT_ID,DTEMP0.ANALYSIS_ID,TRANSLATION.TRANSCRIPT_ID FROM ENSCORE.DTEMP0 , TRANSLATION WHERE TRANSLATION.TRANSLATION_ID = ENSCORE.DTEMP0.TRANSLATION_ID;
CREATE INDEX index93 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__tmhmm__dm  AS SELECT DISTINCT DTEMP1.TRANSLATION_ID,DTEMP1.HIT_ID,DTEMP1.ANALYSIS_ID,DTEMP1.TRANSCRIPT_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 10      TARGET TABLE: GENE__HUGO__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT OBJECT_XREF.ENSEMBL_ID AS TRANSCRIPT_ID,XREF.DBPRIMARY_ACC,XREF.DISPLAY_LABEL,XREF.EXTERNAL_DB_ID FROM OBJECT_XREF , XREF WHERE XREF.XREF_ID = OBJECT_XREF.XREF_ID AND OBJECT_XREF.ENSEMBL_OBJECT_TYPE='Transcript';
CREATE INDEX index102 ON ENSCORE.DTEMP0 (EXTERNAL_DB_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSCRIPT_ID,DTEMP0.DBPRIMARY_ACC,DTEMP0.DISPLAY_LABEL,DTEMP0.EXTERNAL_DB_ID FROM ENSCORE.DTEMP0 , EXTERNAL_DB WHERE EXTERNAL_DB.EXTERNAL_DB_ID = ENSCORE.DTEMP0.EXTERNAL_DB_ID AND EXTERNAL_DB.DB_NAME='HUGO';
CREATE INDEX index103 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__hugo__dm  AS SELECT DISTINCT DTEMP1.TRANSCRIPT_ID,DTEMP1.DBPRIMARY_ACC,DTEMP1.DISPLAY_LABEL,DTEMP1.EXTERNAL_DB_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 11      TARGET TABLE: GENE__REFSEQ__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT OBJECT_XREF.ENSEMBL_ID AS TRANSCRIPT_ID,XREF.DBPRIMARY_ACC,XREF.DISPLAY_LABEL,XREF.EXTERNAL_DB_ID FROM OBJECT_XREF , XREF WHERE XREF.XREF_ID = OBJECT_XREF.XREF_ID;
CREATE INDEX index112 ON ENSCORE.DTEMP0 (EXTERNAL_DB_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSCRIPT_ID,DTEMP0.DBPRIMARY_ACC,DTEMP0.DISPLAY_LABEL,DTEMP0.EXTERNAL_DB_ID FROM ENSCORE.DTEMP0 , EXTERNAL_DB WHERE EXTERNAL_DB.EXTERNAL_DB_ID = ENSCORE.DTEMP0.EXTERNAL_DB_ID AND EXTERNAL_DB.DB_NAME='REFSEQ';
CREATE INDEX index113 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__refseq__dm  AS SELECT DISTINCT DTEMP1.TRANSCRIPT_ID,DTEMP1.DBPRIMARY_ACC,DTEMP1.DISPLAY_LABEL,DTEMP1.EXTERNAL_DB_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO 12      TARGET TABLE: GENE__UNIPROT__DM
--
CREATE TABLE ENSCORE.DTEMP0  AS SELECT OBJECT_XREF.ENSEMBL_ID AS TRANSCRIPT_ID,XREF.DBPRIMARY_ACC,XREF.DISPLAY_LABEL,XREF.EXTERNAL_DB_ID FROM OBJECT_XREF , XREF WHERE XREF.XREF_ID = OBJECT_XREF.XREF_ID;
CREATE INDEX index122 ON ENSCORE.DTEMP0 (EXTERNAL_DB_ID);
CREATE TABLE ENSCORE.DTEMP1  AS SELECT DTEMP0.TRANSCRIPT_ID,DTEMP0.DBPRIMARY_ACC,DTEMP0.DISPLAY_LABEL,DTEMP0.EXTERNAL_DB_ID FROM ENSCORE.DTEMP0 , EXTERNAL_DB WHERE EXTERNAL_DB.EXTERNAL_DB_ID = ENSCORE.DTEMP0.EXTERNAL_DB_ID AND EXTERNAL_DB.DB_NAME='UNIPROT';
CREATE INDEX index123 ON ENSCORE.DTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__uniprot__dm  AS SELECT DISTINCT DTEMP1.TRANSCRIPT_ID,DTEMP1.DBPRIMARY_ACC,DTEMP1.DISPLAY_LABEL,DTEMP1.EXTERNAL_DB_ID,main_interim.TRANSCRIPT_ID AS TRANSCRIPT_ID_DTEMP2 FROM ENSCORE.main_interim LEFT JOIN ENSCORE.DTEMP1 ON ENSCORE.DTEMP1.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
DROP TABLE ENSCORE.DTEMP0;
DROP TABLE ENSCORE.DTEMP1;


--
--       TRANSFORMATION NO null      TARGET TABLE: GENE__TRANSCRIPT__MAIN
--
CREATE TABLE ENSCORE.CTEMP0 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__seg__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index131 ON ENSCORE.CTEMP0 (TRANSCRIPT_ID);
CREATE INDEX index132 ON ENSCORE.main_interim (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP1  AS SELECT DISTINCT main_interim.GENE_ID,main_interim.TRANSCRIPT_ID,main_interim.transcript_stable_id,main_interim.transcript_version,main_interim.TRANSLATION_ID,main_interim.translation_stable_id,main_interim.translation_version,main_interim.SEQ_REGION_ID,main_interim.chromosome_id,main_interim.gene_chrom_start,main_interim.gene_chrom_end,main_interim.chrom_strand,main_interim.DISPLAY_XREF_ID,main_interim.gene_stable_id,main_interim.gene_version,main_interim.COORD_SYSTEM_ID,main_interim.chr_name,main_interim.EXTERNAL_DB_ID,main_interim.display_id,main_interim.DB_NAME,CTEMP0.TRANSCRIPT_ID AS seg_bool FROM ENSCORE.main_interim LEFT JOIN ENSCORE.CTEMP0 ON ENSCORE.CTEMP0.TRANSCRIPT_ID = ENSCORE.main_interim.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP2 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__ncoils__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index133 ON ENSCORE.CTEMP2 (TRANSCRIPT_ID);
CREATE INDEX index134 ON ENSCORE.CTEMP1 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP3  AS SELECT DISTINCT CTEMP1.GENE_ID,CTEMP1.TRANSCRIPT_ID,CTEMP1.transcript_stable_id,CTEMP1.transcript_version,CTEMP1.TRANSLATION_ID,CTEMP1.translation_stable_id,CTEMP1.translation_version,CTEMP1.SEQ_REGION_ID,CTEMP1.chromosome_id,CTEMP1.gene_chrom_start,CTEMP1.gene_chrom_end,CTEMP1.chrom_strand,CTEMP1.DISPLAY_XREF_ID,CTEMP1.gene_stable_id,CTEMP1.gene_version,CTEMP1.COORD_SYSTEM_ID,CTEMP1.chr_name,CTEMP1.EXTERNAL_DB_ID,CTEMP1.display_id,CTEMP1.DB_NAME,CTEMP1.seg_bool,CTEMP2.TRANSCRIPT_ID AS ncoils_bool FROM ENSCORE.CTEMP1 LEFT JOIN ENSCORE.CTEMP2 ON ENSCORE.CTEMP2.TRANSCRIPT_ID = ENSCORE.CTEMP1.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP4 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__pfam__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index135 ON ENSCORE.CTEMP4 (TRANSCRIPT_ID);
CREATE INDEX index136 ON ENSCORE.CTEMP3 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP5  AS SELECT DISTINCT CTEMP3.GENE_ID,CTEMP3.TRANSCRIPT_ID,CTEMP3.transcript_stable_id,CTEMP3.transcript_version,CTEMP3.TRANSLATION_ID,CTEMP3.translation_stable_id,CTEMP3.translation_version,CTEMP3.SEQ_REGION_ID,CTEMP3.chromosome_id,CTEMP3.gene_chrom_start,CTEMP3.gene_chrom_end,CTEMP3.chrom_strand,CTEMP3.DISPLAY_XREF_ID,CTEMP3.gene_stable_id,CTEMP3.gene_version,CTEMP3.COORD_SYSTEM_ID,CTEMP3.chr_name,CTEMP3.EXTERNAL_DB_ID,CTEMP3.display_id,CTEMP3.DB_NAME,CTEMP3.seg_bool,CTEMP3.ncoils_bool,CTEMP4.TRANSCRIPT_ID AS pfam_bool FROM ENSCORE.CTEMP3 LEFT JOIN ENSCORE.CTEMP4 ON ENSCORE.CTEMP4.TRANSCRIPT_ID = ENSCORE.CTEMP3.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP6 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__pfscan__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index137 ON ENSCORE.CTEMP6 (TRANSCRIPT_ID);
CREATE INDEX index138 ON ENSCORE.CTEMP5 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP7  AS SELECT DISTINCT CTEMP5.GENE_ID,CTEMP5.TRANSCRIPT_ID,CTEMP5.transcript_stable_id,CTEMP5.transcript_version,CTEMP5.TRANSLATION_ID,CTEMP5.translation_stable_id,CTEMP5.translation_version,CTEMP5.SEQ_REGION_ID,CTEMP5.chromosome_id,CTEMP5.gene_chrom_start,CTEMP5.gene_chrom_end,CTEMP5.chrom_strand,CTEMP5.DISPLAY_XREF_ID,CTEMP5.gene_stable_id,CTEMP5.gene_version,CTEMP5.COORD_SYSTEM_ID,CTEMP5.chr_name,CTEMP5.EXTERNAL_DB_ID,CTEMP5.display_id,CTEMP5.DB_NAME,CTEMP5.seg_bool,CTEMP5.ncoils_bool,CTEMP5.pfam_bool,CTEMP6.TRANSCRIPT_ID AS pfscan_bool FROM ENSCORE.CTEMP5 LEFT JOIN ENSCORE.CTEMP6 ON ENSCORE.CTEMP6.TRANSCRIPT_ID = ENSCORE.CTEMP5.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP8 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__prints__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index139 ON ENSCORE.CTEMP8 (TRANSCRIPT_ID);
CREATE INDEX index140 ON ENSCORE.CTEMP7 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP9  AS SELECT DISTINCT CTEMP7.GENE_ID,CTEMP7.TRANSCRIPT_ID,CTEMP7.transcript_stable_id,CTEMP7.transcript_version,CTEMP7.TRANSLATION_ID,CTEMP7.translation_stable_id,CTEMP7.translation_version,CTEMP7.SEQ_REGION_ID,CTEMP7.chromosome_id,CTEMP7.gene_chrom_start,CTEMP7.gene_chrom_end,CTEMP7.chrom_strand,CTEMP7.DISPLAY_XREF_ID,CTEMP7.gene_stable_id,CTEMP7.gene_version,CTEMP7.COORD_SYSTEM_ID,CTEMP7.chr_name,CTEMP7.EXTERNAL_DB_ID,CTEMP7.display_id,CTEMP7.DB_NAME,CTEMP7.seg_bool,CTEMP7.ncoils_bool,CTEMP7.pfam_bool,CTEMP7.pfscan_bool,CTEMP8.TRANSCRIPT_ID AS prints_bool FROM ENSCORE.CTEMP7 LEFT JOIN ENSCORE.CTEMP8 ON ENSCORE.CTEMP8.TRANSCRIPT_ID = ENSCORE.CTEMP7.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP10 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__scanprosite__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index141 ON ENSCORE.CTEMP10 (TRANSCRIPT_ID);
CREATE INDEX index142 ON ENSCORE.CTEMP9 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP11  AS SELECT DISTINCT CTEMP9.GENE_ID,CTEMP9.TRANSCRIPT_ID,CTEMP9.transcript_stable_id,CTEMP9.transcript_version,CTEMP9.TRANSLATION_ID,CTEMP9.translation_stable_id,CTEMP9.translation_version,CTEMP9.SEQ_REGION_ID,CTEMP9.chromosome_id,CTEMP9.gene_chrom_start,CTEMP9.gene_chrom_end,CTEMP9.chrom_strand,CTEMP9.DISPLAY_XREF_ID,CTEMP9.gene_stable_id,CTEMP9.gene_version,CTEMP9.COORD_SYSTEM_ID,CTEMP9.chr_name,CTEMP9.EXTERNAL_DB_ID,CTEMP9.display_id,CTEMP9.DB_NAME,CTEMP9.seg_bool,CTEMP9.ncoils_bool,CTEMP9.pfam_bool,CTEMP9.pfscan_bool,CTEMP9.prints_bool,CTEMP10.TRANSCRIPT_ID AS scanprosite_bool FROM ENSCORE.CTEMP9 LEFT JOIN ENSCORE.CTEMP10 ON ENSCORE.CTEMP10.TRANSCRIPT_ID = ENSCORE.CTEMP9.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP12 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__signalp__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index143 ON ENSCORE.CTEMP12 (TRANSCRIPT_ID);
CREATE INDEX index144 ON ENSCORE.CTEMP11 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP13  AS SELECT DISTINCT CTEMP11.GENE_ID,CTEMP11.TRANSCRIPT_ID,CTEMP11.transcript_stable_id,CTEMP11.transcript_version,CTEMP11.TRANSLATION_ID,CTEMP11.translation_stable_id,CTEMP11.translation_version,CTEMP11.SEQ_REGION_ID,CTEMP11.chromosome_id,CTEMP11.gene_chrom_start,CTEMP11.gene_chrom_end,CTEMP11.chrom_strand,CTEMP11.DISPLAY_XREF_ID,CTEMP11.gene_stable_id,CTEMP11.gene_version,CTEMP11.COORD_SYSTEM_ID,CTEMP11.chr_name,CTEMP11.EXTERNAL_DB_ID,CTEMP11.display_id,CTEMP11.DB_NAME,CTEMP11.seg_bool,CTEMP11.ncoils_bool,CTEMP11.pfam_bool,CTEMP11.pfscan_bool,CTEMP11.prints_bool,CTEMP11.scanprosite_bool,CTEMP12.TRANSCRIPT_ID AS signalp_bool FROM ENSCORE.CTEMP11 LEFT JOIN ENSCORE.CTEMP12 ON ENSCORE.CTEMP12.TRANSCRIPT_ID = ENSCORE.CTEMP11.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP14 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__tmhmm__dm WHERE TRANSLATION_ID IS NOT NULL;
CREATE INDEX index145 ON ENSCORE.CTEMP14 (TRANSCRIPT_ID);
CREATE INDEX index146 ON ENSCORE.CTEMP13 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP15  AS SELECT DISTINCT CTEMP13.GENE_ID,CTEMP13.TRANSCRIPT_ID,CTEMP13.transcript_stable_id,CTEMP13.transcript_version,CTEMP13.TRANSLATION_ID,CTEMP13.translation_stable_id,CTEMP13.translation_version,CTEMP13.SEQ_REGION_ID,CTEMP13.chromosome_id,CTEMP13.gene_chrom_start,CTEMP13.gene_chrom_end,CTEMP13.chrom_strand,CTEMP13.DISPLAY_XREF_ID,CTEMP13.gene_stable_id,CTEMP13.gene_version,CTEMP13.COORD_SYSTEM_ID,CTEMP13.chr_name,CTEMP13.EXTERNAL_DB_ID,CTEMP13.display_id,CTEMP13.DB_NAME,CTEMP13.seg_bool,CTEMP13.ncoils_bool,CTEMP13.pfam_bool,CTEMP13.pfscan_bool,CTEMP13.prints_bool,CTEMP13.scanprosite_bool,CTEMP13.signalp_bool,CTEMP14.TRANSCRIPT_ID AS tmhmm_bool FROM ENSCORE.CTEMP13 LEFT JOIN ENSCORE.CTEMP14 ON ENSCORE.CTEMP14.TRANSCRIPT_ID = ENSCORE.CTEMP13.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP16 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__hugo__dm WHERE TRANSCRIPT_ID IS NOT NULL;
CREATE INDEX index147 ON ENSCORE.CTEMP16 (TRANSCRIPT_ID);
CREATE INDEX index148 ON ENSCORE.CTEMP15 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP17  AS SELECT DISTINCT CTEMP15.GENE_ID,CTEMP15.TRANSCRIPT_ID,CTEMP15.transcript_stable_id,CTEMP15.transcript_version,CTEMP15.TRANSLATION_ID,CTEMP15.translation_stable_id,CTEMP15.translation_version,CTEMP15.SEQ_REGION_ID,CTEMP15.chromosome_id,CTEMP15.gene_chrom_start,CTEMP15.gene_chrom_end,CTEMP15.chrom_strand,CTEMP15.DISPLAY_XREF_ID,CTEMP15.gene_stable_id,CTEMP15.gene_version,CTEMP15.COORD_SYSTEM_ID,CTEMP15.chr_name,CTEMP15.EXTERNAL_DB_ID,CTEMP15.display_id,CTEMP15.DB_NAME,CTEMP15.seg_bool,CTEMP15.ncoils_bool,CTEMP15.pfam_bool,CTEMP15.pfscan_bool,CTEMP15.prints_bool,CTEMP15.scanprosite_bool,CTEMP15.signalp_bool,CTEMP15.tmhmm_bool,CTEMP16.TRANSCRIPT_ID AS hugo_bool FROM ENSCORE.CTEMP15 LEFT JOIN ENSCORE.CTEMP16 ON ENSCORE.CTEMP16.TRANSCRIPT_ID = ENSCORE.CTEMP15.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP18 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__refseq__dm WHERE TRANSCRIPT_ID IS NOT NULL;
CREATE INDEX index149 ON ENSCORE.CTEMP18 (TRANSCRIPT_ID);
CREATE INDEX index150 ON ENSCORE.CTEMP17 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.CTEMP19  AS SELECT DISTINCT CTEMP17.GENE_ID,CTEMP17.TRANSCRIPT_ID,CTEMP17.transcript_stable_id,CTEMP17.transcript_version,CTEMP17.TRANSLATION_ID,CTEMP17.translation_stable_id,CTEMP17.translation_version,CTEMP17.SEQ_REGION_ID,CTEMP17.chromosome_id,CTEMP17.gene_chrom_start,CTEMP17.gene_chrom_end,CTEMP17.chrom_strand,CTEMP17.DISPLAY_XREF_ID,CTEMP17.gene_stable_id,CTEMP17.gene_version,CTEMP17.COORD_SYSTEM_ID,CTEMP17.chr_name,CTEMP17.EXTERNAL_DB_ID,CTEMP17.display_id,CTEMP17.DB_NAME,CTEMP17.seg_bool,CTEMP17.ncoils_bool,CTEMP17.pfam_bool,CTEMP17.pfscan_bool,CTEMP17.prints_bool,CTEMP17.scanprosite_bool,CTEMP17.signalp_bool,CTEMP17.tmhmm_bool,CTEMP17.hugo_bool,CTEMP18.TRANSCRIPT_ID AS refseq_bool FROM ENSCORE.CTEMP17 LEFT JOIN ENSCORE.CTEMP18 ON ENSCORE.CTEMP18.TRANSCRIPT_ID = ENSCORE.CTEMP17.TRANSCRIPT_ID;
CREATE TABLE ENSCORE.CTEMP20 AS SELECT DISTINCT TRANSCRIPT_ID FROM ENSCORE.gene__uniprot__dm WHERE TRANSCRIPT_ID IS NOT NULL;
CREATE INDEX index151 ON ENSCORE.CTEMP20 (TRANSCRIPT_ID);
CREATE INDEX index152 ON ENSCORE.CTEMP19 (TRANSCRIPT_ID);
CREATE TABLE ENSCORE.gene__transcript__main  AS SELECT DISTINCT CTEMP19.GENE_ID,CTEMP19.TRANSCRIPT_ID,CTEMP19.transcript_stable_id,CTEMP19.transcript_version,CTEMP19.TRANSLATION_ID,CTEMP19.translation_stable_id,CTEMP19.translation_version,CTEMP19.SEQ_REGION_ID,CTEMP19.chromosome_id,CTEMP19.gene_chrom_start,CTEMP19.gene_chrom_end,CTEMP19.chrom_strand,CTEMP19.DISPLAY_XREF_ID,CTEMP19.gene_stable_id,CTEMP19.gene_version,CTEMP19.COORD_SYSTEM_ID,CTEMP19.chr_name,CTEMP19.EXTERNAL_DB_ID,CTEMP19.display_id,CTEMP19.DB_NAME,CTEMP19.seg_bool,CTEMP19.ncoils_bool,CTEMP19.pfam_bool,CTEMP19.pfscan_bool,CTEMP19.prints_bool,CTEMP19.scanprosite_bool,CTEMP19.signalp_bool,CTEMP19.tmhmm_bool,CTEMP19.hugo_bool,CTEMP19.refseq_bool,CTEMP20.TRANSCRIPT_ID AS uniprot_bool FROM ENSCORE.CTEMP19 LEFT JOIN ENSCORE.CTEMP20 ON ENSCORE.CTEMP20.TRANSCRIPT_ID = ENSCORE.CTEMP19.TRANSCRIPT_ID;
DROP TABLE ENSCORE.CTEMP0;
DROP TABLE ENSCORE.CTEMP1;
DROP TABLE ENSCORE.CTEMP2;
DROP TABLE ENSCORE.CTEMP3;
DROP TABLE ENSCORE.CTEMP4;
DROP TABLE ENSCORE.CTEMP5;
DROP TABLE ENSCORE.CTEMP6;
DROP TABLE ENSCORE.CTEMP7;
DROP TABLE ENSCORE.CTEMP8;
DROP TABLE ENSCORE.CTEMP9;
DROP TABLE ENSCORE.CTEMP10;
DROP TABLE ENSCORE.CTEMP11;
DROP TABLE ENSCORE.CTEMP12;
DROP TABLE ENSCORE.CTEMP13;
DROP TABLE ENSCORE.CTEMP14;
DROP TABLE ENSCORE.CTEMP15;
DROP TABLE ENSCORE.CTEMP16;
DROP TABLE ENSCORE.CTEMP17;
DROP TABLE ENSCORE.CTEMP18;
DROP TABLE ENSCORE.CTEMP19;
DROP TABLE ENSCORE.CTEMP20;

ALTER TABLE ENSCORE.main_interim RENAME COLUMN EXTERNAL_DB_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index149 ON ENSCORE.main_interim (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__seg__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index153 ON ENSCORE.gene__seg__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__ncoils__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index163 ON ENSCORE.gene__ncoils__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__pfam__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index173 ON ENSCORE.gene__pfam__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__pfscan__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index183 ON ENSCORE.gene__pfscan__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__prints__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index193 ON ENSCORE.gene__prints__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__scanprosite__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index203 ON ENSCORE.gene__scanprosite__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__signalp__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index213 ON ENSCORE.gene__signalp__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__tmhmm__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index223 ON ENSCORE.gene__tmhmm__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__hugo__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index233 ON ENSCORE.gene__hugo__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__refseq__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index243 ON ENSCORE.gene__refseq__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__uniprot__dm RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index253 ON ENSCORE.gene__uniprot__dm (TRANSCRIPT_ID_key);
ALTER TABLE ENSCORE.gene__transcript__main RENAME COLUMN TRANSCRIPT_ID TO TRANSCRIPT_ID_key;
CREATE INDEX index282 ON ENSCORE.gene__transcript__main (TRANSCRIPT_ID_key);
CREATE TABLE ENSCORE.gene__GENE__main  AS SELECT chr_name,SEQ_REGION_ID,DISPLAY_XREF_ID,EXTERNAL_DB_ID,gene_chrom_end,GENE_ID,gene_stable_id,DB_NAME,gene_chrom_start,gene_version,display_id,chromosome_id,chrom_strand,COORD_SYSTEM_ID FROM ENSCORE.gene__TRANSCRIPT__main GROUP BY chr_name,SEQ_REGION_ID,DISPLAY_XREF_ID,EXTERNAL_DB_ID,gene_chrom_end,GENE_ID,gene_stable_id,DB_NAME,gene_chrom_start,gene_version,display_id,chromosome_id,chrom_strand,COORD_SYSTEM_ID;
CREATE INDEX index311 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS seg_bool FROM ENSCORE.gene__transcript__main WHERE seg_bool IS NOT NULL;
CREATE INDEX index312 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.seg_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index313 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS ncoils_bool FROM ENSCORE.gene__transcript__main WHERE ncoils_bool IS NOT NULL;
CREATE INDEX index314 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.ncoils_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index315 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS pfam_bool FROM ENSCORE.gene__transcript__main WHERE pfam_bool IS NOT NULL;
CREATE INDEX index316 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.pfam_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index317 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS pfscan_bool FROM ENSCORE.gene__transcript__main WHERE pfscan_bool IS NOT NULL;
CREATE INDEX index318 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.pfscan_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index319 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS prints_bool FROM ENSCORE.gene__transcript__main WHERE prints_bool IS NOT NULL;
CREATE INDEX index320 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.prints_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index321 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS scanprosite_bool FROM ENSCORE.gene__transcript__main WHERE scanprosite_bool IS NOT NULL;
CREATE INDEX index322 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.scanprosite_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index323 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS signalp_bool FROM ENSCORE.gene__transcript__main WHERE signalp_bool IS NOT NULL;
CREATE INDEX index324 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.signalp_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index325 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS tmhmm_bool FROM ENSCORE.gene__transcript__main WHERE tmhmm_bool IS NOT NULL;
CREATE INDEX index326 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.tmhmm_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index327 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS hugo_bool FROM ENSCORE.gene__transcript__main WHERE hugo_bool IS NOT NULL;
CREATE INDEX index328 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.hugo_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index329 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS refseq_bool FROM ENSCORE.gene__transcript__main WHERE refseq_bool IS NOT NULL;
CREATE INDEX index330 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.refseq_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
CREATE INDEX index331 ON ENSCORE.gene__GENE__main(GENE_ID);
CREATE TABLE ENSCORE.BOOL_TEMP AS SELECT DISTINCT GENE_ID,1 AS uniprot_bool FROM ENSCORE.gene__transcript__main WHERE uniprot_bool IS NOT NULL;
CREATE INDEX index332 ON ENSCORE.BOOL_TEMP (GENE_ID);
CREATE TABLE ENSCORE.MAIN_TEMP AS SELECT m.*, t.uniprot_bool FROM ENSCORE.gene__GENE__main m LEFT JOIN ENSCORE.BOOL_TEMP t ON m.GENE_ID=t.GENE_ID;
DROP TABLE ENSCORE.BOOL_TEMP;
DROP TABLE ENSCORE.gene__GENE__main;
RENAME ENSCORE.MAIN_TEMP TO ENSCORE.gene__GENE__main;
ALTER TABLE ENSCORE.gene__GENE__main RENAME COLUMN GENE_ID TO GENE_ID_key;
CREATE INDEX index333 ON ENSCORE.gene__GENE__main(GENE_ID_key);
